Package net.shibboleth.idp.attribute.filter.spring.impl

# Class AttributeFilterPolicyGroupParser

java.lang.Object
net.shibboleth.idp.attribute.filter.spring.impl.AttributeFilterPolicyGroupParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class AttributeFilterPolicyGroupParser extends Object implements BeanDefinitionParser
Bean definition parser for <afp:AttributeFilterPolicyGroup>, top top level of the filter "stack".

There is no bean being summoned up here. Rather we just parse all the children. Then over in the service all the * `AttributeFilterPolicy` beans are sucked out of spring by type and injected into a new `AttributeFilterImpl` via a `AttributeFilterServiceStrategy`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`static final QName`
`PERMIT_VALUE_ELEMENT_NAME`
Local name of the value filter element.
`static final QName`
`POLICY_REQUIREMENT_ELEMENT_NAME`
Local name of the policy requirement element.
`static final QName`
`TYPE_NAME`
Schema type name.

## Constructor Summary

Constructors
Constructor
Description
`AttributeFilterPolicyGroupParser()`

## Method Summary

Modifier and Type
Method
Description
`BeanDefinition`
`parse(Element config, ParserContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type name.

### POLICY_REQUIREMENT_ELEMENT_NAME

@Nonnull public static final QName POLICY_REQUIREMENT_ELEMENT_NAME
Local name of the policy requirement element.

### PERMIT_VALUE_ELEMENT_NAME

@Nonnull public static final QName PERMIT_VALUE_ELEMENT_NAME
Local name of the value filter element.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### AttributeFilterPolicyGroupParser

public AttributeFilterPolicyGroupParser()

## Method Details

### parse

@Nullable public BeanDefinition parse(@Nonnull Element config, @Nonnull ParserContext context)

Specified by:
  `parse` in interface `BeanDefinitionParser`